From 251aff908c85a9e5f2955328a235cd2e9bbf6c77 Mon Sep 17 00:00:00 2001
From: Alexander Golubev <fatzer2@gmail.com>
Date: Sat, 26 Jul 2025 22:26:52 +0300
Subject: dev-python/sip4-tqt: fix installation dirs

Also pass more flags to configure script

Signed-off-by: Alexander Golubev <fatzer2@gmail.com>
---
 dev-python/sip4-tqt/sip4-tqt-14.1.1-r1.ebuild | 18 +++++++++++++-----
 dev-python/sip4-tqt/sip4-tqt-14.1.2-r1.ebuild | 18 +++++++++++++-----
 dev-python/sip4-tqt/sip4-tqt-9999.ebuild      | 18 +++++++++++++-----
 3 files changed, 39 insertions(+), 15 deletions(-)

diff --git a/dev-python/sip4-tqt/sip4-tqt-14.1.1-r1.ebuild b/dev-python/sip4-tqt/sip4-tqt-14.1.1-r1.ebuild
index 1261d8d3..c70be922 100644
--- a/dev-python/sip4-tqt/sip4-tqt-14.1.1-r1.ebuild
+++ b/dev-python/sip4-tqt/sip4-tqt-14.1.1-r1.ebuild
@@ -6,7 +6,7 @@ EAPI="8"
 TRINITY_MODULE_TYPE="dependencies"
 PYTHON_COMPAT=( python3_{8..13} )
 
-inherit trinity-base-2 python-single-r1 flag-o-matic
+inherit trinity-base-2 python-single-r1 toolchain-funcs
 
 DESCRIPTION="Python/C++ bindings generator runtime library"
 HOMEPAGE="https://trinitydesktop.org"
@@ -37,12 +37,20 @@ src_prepare() {
 
 src_configure() {
 	local myconf
-	append-cflags "-I/usr/include/tqt -I/${TQTDIR}/include"
 	myconf=(
-	-b "${TDEDIR}/bin"
-	-e "${TDEDIR}/include"
+		# compiller
+		CC="$(tc-getCC)"
+		CXX="$(tc-getCXX)"
+		LINK="$(tc-getCXX)"
+		LINK_SHLIB="$(tc-getCXX)"
+		# flags
+		CFLAGS="${CFLAGS}"
+		CXXFLAGS="${CXXFLAGS}"
+		INCDIR="/usr/include/tqt /${TQTDIR}/include"
+		# supress stip
+		STRIP="true"
 	)
-	echo yes | "${EPYTHON}" configure.py "${myconf[@]}" CFLAGS="${CFLAGS}" LIBS="${LDFLAGS}" || die
+	"${EPYTHON}" configure.py "${myconf[@]}" || die
 }
 
 src_compile() {
diff --git a/dev-python/sip4-tqt/sip4-tqt-14.1.2-r1.ebuild b/dev-python/sip4-tqt/sip4-tqt-14.1.2-r1.ebuild
index 387be49a..4ca8c743 100644
--- a/dev-python/sip4-tqt/sip4-tqt-14.1.2-r1.ebuild
+++ b/dev-python/sip4-tqt/sip4-tqt-14.1.2-r1.ebuild
@@ -6,7 +6,7 @@ EAPI="8"
 TRINITY_MODULE_TYPE="dependencies"
 PYTHON_COMPAT=( python3_{8..13} )
 
-inherit trinity-base-2 python-single-r1 flag-o-matic
+inherit trinity-base-2 python-single-r1 toolchain-funcs
 
 DESCRIPTION="Python/C++ bindings generator runtime library"
 HOMEPAGE="https://trinitydesktop.org"
@@ -37,12 +37,20 @@ src_prepare() {
 
 src_configure() {
 	local myconf
-	append-cflags "-I/usr/include/tqt -I/${TQTDIR}/include"
 	myconf=(
-	-b "${TDEDIR}/bin"
-	-e "${TDEDIR}/include"
+		# compiller
+		CC="$(tc-getCC)"
+		CXX="$(tc-getCXX)"
+		LINK="$(tc-getCXX)"
+		LINK_SHLIB="$(tc-getCXX)"
+		# flags
+		CFLAGS="${CFLAGS}"
+		CXXFLAGS="${CXXFLAGS}"
+		INCDIR="/usr/include/tqt /${TQTDIR}/include"
+		# supress stip
+		STRIP="true"
 	)
-	echo yes | "${EPYTHON}" configure.py "${myconf[@]}" CFLAGS="${CFLAGS}" LIBS="${LDFLAGS}" || die
+	"${EPYTHON}" configure.py "${myconf[@]}" || die
 }
 
 src_compile() {
diff --git a/dev-python/sip4-tqt/sip4-tqt-9999.ebuild b/dev-python/sip4-tqt/sip4-tqt-9999.ebuild
index 4d8f86f6..39ea77a7 100644
--- a/dev-python/sip4-tqt/sip4-tqt-9999.ebuild
+++ b/dev-python/sip4-tqt/sip4-tqt-9999.ebuild
@@ -6,7 +6,7 @@ EAPI="8"
 TRINITY_MODULE_TYPE="dependencies"
 PYTHON_COMPAT=( python3_{8..13} )
 
-inherit trinity-base-2 python-single-r1 flag-o-matic
+inherit trinity-base-2 python-single-r1 toolchain-funcs
 
 DESCRIPTION="Python/C++ bindings generator runtime library"
 HOMEPAGE="https://trinitydesktop.org"
@@ -32,12 +32,20 @@ src_prepare() {
 
 src_configure() {
 	local myconf
-	append-cflags "-I/usr/include/tqt -I/${TQTDIR}/include"
 	myconf=(
-	-b "${TDEDIR}/bin"
-	-e "${TDEDIR}/include"
+		# compiller
+		CC="$(tc-getCC)"
+		CXX="$(tc-getCXX)"
+		LINK="$(tc-getCXX)"
+		LINK_SHLIB="$(tc-getCXX)"
+		# flags
+		CFLAGS="${CFLAGS}"
+		CXXFLAGS="${CXXFLAGS}"
+		INCDIR="${TQTDIR}/include"
+		# supress stip
+		STRIP="true"
 	)
-	echo yes | "${EPYTHON}" configure.py "${myconf[@]}" CFLAGS="${CFLAGS}" LIBS="${LDFLAGS}" || die
+	"${EPYTHON}" configure.py "${myconf[@]}" || die
 }
 
 src_compile() {
-- 
cgit v1.2.3

